DH_USRLOCAL(1)

NOM
dh_usrlocal - Migrer les répertoires usr/local dans les scripts de maintenance du paquet

SYNOPSIS
dh_usrlocal [options_de_debhelper] [-n]

DESCRIPTION
dh_usrlocal est le programme de la suite debhelper qui peut être utilisé pour la construction des paquets qui produisent un sous-répertoire dans /usr/local lors de leur installation.

dh_usrlocal recherche des sous-répertoires dans usr/local du répertoire de construction du paquet et les supprime. Il remplace les répertoires supprimés par des lignes de code dans les scripts de maintenance du paquet (sauf si -n est utilisé) afin de créer ces répertoires au moment de l'installation. Il génère également les lignes de code pour supprimer ces répertoires lorsque le paquet est enlevé, conformément à la Charte Debian. Ces lignes de codes sont ajoutées aux scripts de maintenance du paquet par dh_installdeb. Voir dh_installdeb(1) pour une explication sur l'ajout des lignes de code aux scripts de maintenance du paquet.

Si les répertoires trouvés dans le répertoire de construction du paquet ont un propriétaire, un groupe ou des droits inhabituels, ces valeurs seront préservées dans les répertoires créés par le script de maintenance postinst. Une exception notable toutefois : si le répertoire a comme propriété root.root, il sera traité comme root.staff avec des droits 2775. Cela est utile depuis que ce sont les valeurs recommandées par la Charte Debian pour les répertoires de /usr/local.

OPTIONS

-n, --no-scripts
    Empêche la modification des scripts de maintenance du paquet postinst et prerm.

REMARQUES
Nota : Ce programme n'est pas idempotent. Un dh_prep(1) doit être réalisé entre chaque exécution de ce programme. Sinon, il risque d'y avoir plusieurs occurrences des mêmes lignes de code dans les scripts de maintenance du paquet.

CONFORMITÉ
Charte Debian, version 2.2

VOIR AUSSI
debhelper(7)

Ce programme fait partie de debhelper.

AUTEUR
Andrew Stribblehill <ads@debian.org>

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet debhelper.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».